Bug 781101 - (SOA-3593) Make XsltAction handle org.w3c.dom.Node or Document
Make XsltAction handle org.w3c.dom.Node or Document
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.2.0 GA
Unspecified Unspecified
high Severity high
: CR1
: 5.3.0 GA
Assigned To: tcunning
Jiri Pechanec
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-15 15:37 EST by tcunning
Modified: 2014-10-15 13:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
XsltAction is unable to handle org.w3c.dom.Node or Document objects. This makes it difficult for users to chain XsltActions.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-15 13:26:15 EDT
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Failing XSLT chaining (11.57 KB, application/zip)
2012-06-13 06:39 EDT, Jiri Pechanec
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3708 Major Closed XsltAction cannot handle org.w3c.dom.Document 2013-02-20 21:27:08 EST
JBoss Issue Tracker SOA-3593 Major Closed Make XsltAction handle org.w3c.dom.Node or Document 2013-02-20 21:27:08 EST

  None (edit)
Description tcunning 2011-11-15 15:37:47 EST
project_key: SOA

XsltAction cannot handle Document or Node, making it hard to chain XsltActions.   See related but JBESB-3708.
Comment 1 tcunning 2011-11-15 15:38:01 EST
Link: Added: This issue is related to JBESB-3708
Comment 2 Suz 2012-06-12 23:01:49 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
XsltAction is unable to handle org.w3c.dom.Node or Document objects. This makes it difficult for users to chain XsltActions.
Comment 3 Jiri Pechanec 2012-06-13 06:38:15 EDT
The code is not wokring properly - see attached example. If STRING is used between actions then it works as expected. If DOM is used, the second transformation is not properly applied.
Comment 4 Jiri Pechanec 2012-06-13 06:39:27 EDT
Created attachment 591435 [details]
Failing XSLT chaining
Comment 5 Jiri Pechanec 2012-07-12 04:29:50 EDT
The chaining is still failing
Comment 6 JBoss JIRA Server 2012-07-13 12:15:04 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3708 to Resolved
Comment 7 JBoss JIRA Server 2012-07-13 12:15:04 EDT
Tom Cunningham <tcunning@redhat.com> made a comment on jira JBESB-3708

bananastand:rosetta tcunning$ svn commit
Sending        rosetta/src/org/jboss/soa/esb/actions/transformation/xslt/ResultFactory.java
Sending        rosetta/src/org/jboss/soa/esb/actions/transformation/xslt/SourceFactory.java
Transmitting file data ..
Committed revision 38139.
bananastand:rosetta tcunning$
Comment 8 JBoss JIRA Server 2012-07-13 12:15:10 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3708 to Closed
Comment 9 JBoss JIRA Server 2012-07-13 12:15:34 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3708 to Reopened
Comment 10 JBoss JIRA Server 2012-07-13 12:15:53 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3708 to Resolved
Comment 11 JBoss JIRA Server 2012-07-13 12:15:56 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3708 to Closed
Comment 12 Ryan Zhang 2012-07-20 02:35:07 EDT
Please verify this issue on 5.3.0 CR1.
Comment 13 Jiri Pechanec 2012-07-23 07:17:32 EDT
Verified in CR1

Note You need to log in before you can comment on or make changes to this bug.